/*
 * app.js: simple BLE connect application
 *
 * This application uses Web Bluetooth API.
 * Supporting OS and browsers are listed in the link below.
 * https://github.com/WebBluetoothCG/web-bluetooth/blob/master/implementation-status.md
 */

const buttonConnect = document.getElementById('ble-connect-button');
const buttonDisconnect = document.getElementById('ble-disconnect-button');

const buttonHelloBLE = document.getElementById('button-HelloBLE');

let leafony;

window.onload = function () {

};

buttonConnect.addEventListener( 'click', function () {

	leafony = new Leafony();
	leafony.connect();

	buttonConnect.style.display = 'none';
	buttonDisconnect.style.display = '';
} );


buttonDisconnect.addEventListener( 'click', function () {
	
	leafony.disconnect();
	leafony = null;	

	buttonConnect.style.display = '';
	buttonDisconnect.style.display = 'none';

} );


buttonHelloBLE.addEventListener ( 'click', function () {

	console.log( 'Hello BLE' );
	leafony.sendCommand( 'Hello BLE' );

});




